Package org.h2gis.functions.spatial.create

## Class MinimumBoundingRadiusRowSet

- java.lang.Object
- - org.h2gis.functions.spatial.create.MinimumBoundingRadiusRowSet

All Implemented Interfaces:
  `org.h2.tools.SimpleRowSource`

    public class MinimumBoundingRadiusRowSet
    extends Object
    implements org.h2.tools.SimpleRowSource

This class is used to compute the center and the radius of multiple geometries stored in a table.

Author:
  Erwan Bocher, CNRS 2023

### Field Summary

Fields
`int` `explodeId`
`int` `spatialFieldIndex`
`ResultSet` `tableQuery`

### Constructor Summary

Constructors
`MinimumBoundingRadiusRowSet​(Connection connection, String tableName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`ResultSet` `getResultSet()`
`Object[]` `readRow()`
`void` `reset()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### tableQuery

    public ResultSet tableQuery

#### spatialFieldIndex

    public int spatialFieldIndex

#### explodeId

    public int explodeId

### Constructor Detail

#### MinimumBoundingRadiusRowSet

    public MinimumBoundingRadiusRowSet​(Connection connection,
                                       String tableName)

### Method Detail

#### readRow

    public Object[] readRow()
                     throws SQLException

Specified by:
  `readRow` in interface `org.h2.tools.SimpleRowSource`
Throws:
  `SQLException`

#### close

    public void close()

Specified by:
  `close` in interface `org.h2.tools.SimpleRowSource`

#### reset

    public void reset()
               throws SQLException

Specified by:
  `reset` in interface `org.h2.tools.SimpleRowSource`
Throws:
  `SQLException`

#### getResultSet

    public ResultSet getResultSet()
                           throws SQLException

Throws:
  `SQLException`